Skip to main content
POST
/
v6
/
conversations
/
query
Query conversations
curl --request POST \
  --url https://sandbox.tight.com/v6/conversations/query \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cursor": "<string>",
  "limit": 123,
  "sort": {
    "orderBy": "CREATED_DATE_TIME",
    "direction": "ASC"
  },
  "filter": {
    "subject": {
      "equal": "<string>",
      "notEqual": "<string>",
      "greaterThan": "<string>",
      "greaterThanEqual": "<string>",
      "lessThan": "<string>",
      "lessThanEqual": "<string>",
      "contain": "<string>"
    },
    "attachedEntity": {
      "id": {
        "in": [
          "<string>"
        ]
      }
    },
    "resolutionStatus": {
      "in": [
        "OPEN"
      ],
      "notIn": [
        "OPEN"
      ]
    },
    "readStatus": {
      "in": [
        "READ"
      ],
      "notIn": [
        "READ"
      ]
    },
    "authorUserId": {
      "equal": "<string>",
      "notEqual": "<string>",
      "greaterThan": "<string>",
      "greaterThanEqual": "<string>",
      "lessThan": "<string>",
      "lessThanEqual": "<string>",
      "contain": "<string>"
    },
    "authorEmail": {
      "equal": "<string>",
      "notEqual": "<string>",
      "greaterThan": "<string>",
      "greaterThanEqual": "<string>",
      "lessThan": "<string>",
      "lessThanEqual": "<string>",
      "contain": "<string>"
    }
  }
}
'
{
  "result": "SUCCESS",
  "data": [
    {
      "id": "con_12345",
      "attachedEntityId": "<string>",
      "subject": "Transaction review needed",
      "author": {
        "userId": "<string>",
        "email": "user@example.com"
      },
      "latestMessage": {
        "id": "msg_67890",
        "author": {
          "userId": "<string>",
          "email": "user@example.com"
        },
        "text": "<string>"
      },
      "status": "ACTIVE",
      "readStatus": "UNREAD",
      "resolutionStatus": "OPEN",
      "createdDateTime": "2023-11-07T05:31:56Z",
      "lastUpdatedDateTime": "2023-11-07T05:31:56Z"
    }
  ],
  "cursor": {
    "after": "<string>",
    "before": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Body

application/json
cursor
string | null

Cursor from the previous paginated response

limit
integer<int32>

Page size, i.e. number of items to return per page

Required range: x <= 250
sort
object

Sort order for the items in the response.

filter
object

Filter for items in the response.

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object[]

The data generated by the action performed.

cursor
object

Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.